Bug 242585 - BCM43xx Cards read as ethernet adaptors not wireless
BCM43xx Cards read as ethernet adaptors not wireless
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: John W. Linville
Brian Brock
http://forums.fedoraforum.org/forumdi...
:
: 242588 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 18:13 EDT by Luis Flores
Modified: 2008-04-22 15:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 17:18:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Flores 2007-06-04 18:13:54 EDT
Users with Broadcom BCM43xx cards are having much difficulty in connecting to 
their wireless networks. I have checked in the network manager and the device 
always appears as a ethernet adapter not a wireless one. I believe this is 
causing a conflict when the card attempts to connect to wireless network. The 
kernel seems to recognize the card and the drivers (often provided through 
ndiswrapper) but when connecting it doesn't complete the link. I've managed to 
get it to work a couple of times but it is not consistent after reboot. I 
believe a patch would be very helpful for many users who are fruitlessly 
attempting to get this to work.  Thanks!
Comment 1 Christopher Aillon 2007-06-04 18:25:48 EDT
More likely a driver problem.
Comment 2 Christopher Aillon 2007-06-04 18:26:26 EDT
*** Bug 242588 has been marked as a duplicate of this bug. ***
Comment 3 John W. Linville 2007-06-04 20:55:47 EDT
Which driver are you using?  It needs to be either bcm43xx-mac80211 or 
bcm43xx.

Please see the message I posted on fedora-list here:

   https://www.redhat.com/archives/fedora-list/2007-June/msg01009.html

Does installing v4 firmware (the first procedure) make things work better?  If 
not, try the second procedure.  Does that make things work?

If you try both procedures above and still have a non-working driver, then 
please attach the output of running dmesg and 'lspci -n'...thanks!
Comment 4 Oscar Valdez 2007-06-27 12:05:08 EDT
This bug is a duplicate of bugs 242338, 243097, 243487, 243585,  244529, and
245084. It' obviously a problem for many users.

The fix posted on fedora-list by John W. Linville here:
 https://www.redhat.com/archives/fedora-list/2007-June/msg01009.html 
doesn't work (at least for me, and, I suspect, for many others).

Please pay attention to this bug. I think it's a NetworkManager problem.
Comment 5 Christopher Brown 2007-09-13 16:44:44 EDT
Hello folks,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 6 Oscar Valdez 2007-09-13 17:09:11 EDT
As of kernel 2.6.22.4-65.fc7, my interface works with the b43 driver, but at a
top speed of 1 Mb/s.

I believe I've read somewhere that the speed limitation goes away with the
2.6.22.5 and higher kernels in
http://koji.fedoraproject.org/koji/packageinfo?packageID=8, but I've been
waiting for one of them to make it into updates.
Comment 7 Christopher Brown 2007-09-13 17:29:43 EDT
(In reply to comment #6)
> As of kernel 2.6.22.4-65.fc7, my interface works with the b43 driver, but at a
> top speed of 1 Mb/s.
> 
> I believe I've read somewhere that the speed limitation goes away with the
> 2.6.22.5 and higher kernels in
> http://koji.fedoraproject.org/koji/packageinfo?packageID=8, but I've been
> waiting for one of them to make it into updates.

The bcm43xx driver is still very new and a product of reverse-engineering as a
result of broadcom being nigh-on-useless with regards to opening their
specifications. So its more a case of patience I think and hopefully things will
improve, especially with 2.6.23 around the corner.

You may wish to try development kernels with:

yum update kernel --enablerepo=development

and revert to the current stable kernel if you have any problems. If you're
happy with the status quo, feel free to go ahead and close the bug as
essentially the issue appears to be driver-dependent and its just a case of
tracking upstream as close as possible.

Cheers
Chris
Comment 8 John W. Linville 2007-12-13 17:17:37 EST
Closed due to lack of response...please re-open if/when the requested 
information becomes available...

Note You need to log in before you can comment on or make changes to this bug.